This is an automated email from the ASF dual-hosted git repository.
hellostephen pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/doris.git
The following commit(s) were added to refs/heads/master by this push:
new 3139ee1ad6a [opt](ci) cloud_p0 get jstack and jmap of fe after run
regression (#61974)
3139ee1ad6a is described below
commit 3139ee1ad6a243827984614c1ff33ce24242c69d
Author: Dongyang Li <[email protected]>
AuthorDate: Wed Apr 1 14:05:48 2026 +0800
[opt](ci) cloud_p0 get jstack and jmap of fe after run regression (#61974)
### What problem does this PR solve?
Issue Number: close #xxx
Related PR: #xxx
Problem Summary:
### Release note
None
### Check List (For Author)
- Test <!-- At least one of them must be included. -->
- [ ] Regression test
- [ ] Unit Test
- [ ] Manual test (add detailed scripts or steps below)
- [ ] No need to test or manual test. Explain why:
- [ ] This is a refactor/code format and no logic has been changed.
- [ ] Previous test can cover this change.
- [ ] No code files have been changed.
- [ ] Other reason <!-- Add your reason? -->
- Behavior changed:
- [ ] No.
- [ ] Yes. <!-- Explain the behavior change -->
- Does this need documentation?
- [ ] No.
- [ ] Yes. <!-- Add document PR link here. eg:
https://github.com/apache/doris-website/pull/1214 -->
### Check List (For Reviewer who merge this PR)
- [ ] Confirm the release note
- [ ] Confirm test cases
- [ ] Confirm document
- [ ] Add branch pick label <!-- Add branch pick label that this PR
should merge into -->
---
regression-test/pipeline/cloud_p0/run.sh | 2 +-
regression-test/pipeline/common/doris-utils.sh | 14 ++++++++++++++
2 files changed, 15 insertions(+), 1 deletion(-)
diff --git a/regression-test/pipeline/cloud_p0/run.sh
b/regression-test/pipeline/cloud_p0/run.sh
index 84bea65fb7e..a011fb954be 100644
--- a/regression-test/pipeline/cloud_p0/run.sh
+++ b/regression-test/pipeline/cloud_p0/run.sh
@@ -113,7 +113,7 @@ exit_flag="$?"
if print_running_pipeline_tasks; then :; fi
# shellcheck source=/dev/null
source "$(cd "${teamcity_build_checkoutDir}" && bash
"${teamcity_build_checkoutDir}"/regression-test/pipeline/common/get-or-set-tmp-env.sh
'get')"
-
+if get_jstack_and_jmap_of_fe; then echo "INFO: get_jstack_and_jmap_of_fe
done."; fi
check_if_need_gcore "${exit_flag}"
if stop_doris_grace; then
echo "INFO: stop doris grace success."
diff --git a/regression-test/pipeline/common/doris-utils.sh
b/regression-test/pipeline/common/doris-utils.sh
index a23e3d43e60..80361abac38 100644
--- a/regression-test/pipeline/common/doris-utils.sh
+++ b/regression-test/pipeline/common/doris-utils.sh
@@ -1004,3 +1004,17 @@ function print_running_pipeline_tasks() {
curl -m 10
"http://127.0.0.1:${webserver_port}/api/running_pipeline_tasks/30" 2>&1 | tee
"${DORIS_HOME}"/be/log/running_pipeline_tasks_30
echo "------------------------${FUNCNAME[0]}--------------------------"
}
+
+function get_jstack_and_jmap_of_fe() {
+ if ! pgrep -f "org.apache.doris.DorisFE"; then
+ echo "ERROR: org.apache.doris.DorisFE process not found."
+ return 1
+ fi
+ local fe_pid=$(pgrep -f "org.apache.doris.DorisFE")
+ echo "INFO: try to
+ jstack $fe_pid >${DORIS_HOME}/fe/log/fe_stack.txt
+ jmap -dump:live,file=${DORIS_HOME}/fe/log/DorisFE.hprof $fe_pid
+ "
+ jstack $fe_pid >"${DORIS_HOME}"/fe/log/fe_stack.txt
+ jmap -dump:live,file="${DORIS_HOME}"/fe/log/DorisFE.hprof $fe_pid
+}
---------------------------------------------------------------------
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]